summaryrefslogtreecommitdiffstats
path: root/package/pango/S25pango
diff options
context:
space:
mode:
authorPeter Korsgaard2008-12-31 10:35:11 +0100
committerPeter Korsgaard2008-12-31 10:35:11 +0100
commite528d99d9667e999438abc3817d8bf417cdfb130 (patch)
tree0105bdc4d59343e795e6feb7d307ae856656cd1a /package/pango/S25pango
parentlibcurl/libglade: touch _HOOK_POST_INSTALL target (diff)
downloadbuildroot-e528d99d9667e999438abc3817d8bf417cdfb130.tar.gz
buildroot-e528d99d9667e999438abc3817d8bf417cdfb130.tar.xz
buildroot-e528d99d9667e999438abc3817d8bf417cdfb130.zip
pango: add init script to create /etc/pango/pango.modules
It would be nicer to do this at compile time, but then we would need to compile pango for the host as well.
Diffstat (limited to 'package/pango/S25pango')
-rw-r--r--package/pango/S25pango19
1 files changed, 19 insertions, 0 deletions
diff --git a/package/pango/S25pango b/package/pango/S25pango
new file mode 100644
index 000000000..b214bdc5f
--- /dev/null
+++ b/package/pango/S25pango
@@ -0,0 +1,19 @@
+#! /bin/sh
+#
+# run pango-querymodules if needed
+
+FILE=/etc/pango/pango.modules
+
+case "$1" in
+ start|"")
+ if [ ! -f "$FILE" ] ; then
+ /usr/bin/pango-querymodules > "$FILE"
+ fi
+ ;;
+ stop)
+ ;;
+ *)
+ echo "Usage: $0 {start|stop}" >&2
+ exit 1
+ ;;
+esac